Bug 194079 - gnupg2 fails to build in mock with minimal build environment.
Summary: gnupg2 fails to build in mock with minimal build environment.
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg2   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 193550
Blocks: FE-BuildReq
TreeView+ depends on / blocked
 
Reported: 2006-06-05 17:39 UTC by Paul Howarth
Modified: 2013-01-10 03:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-19 20:33:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build log with minimal build environment (115.36 KB, text/plain)
2006-06-05 17:39 UTC, Paul Howarth
no flags Details

Description Paul Howarth 2006-06-05 17:39:42 UTC
This package fails to build in mock if the minimal build group is reduced to
only the packages listed in the Exceptions section of the packaging guidelines.
 build.log is attached.

The problem actually lies with some of the existing build requirements, which
should pull in pkgconfig but don't. An obvious example is libgpg-error-devel.

Once pkgconfig is added as a dep of libgpg-error-devel, gnupg2 builds
successfully. I'll therefore make this bug depend on the appropriate bug for
libgpg-error, and am raising this bug just so that nobody else wastes their time
figuring out why gnupg2 is included in the "doesn't build in mock" reports.

Comment 1 Paul Howarth 2006-06-05 17:39:42 UTC
Created attachment 130524 [details]
Build log with minimal build environment

Comment 2 Rex Dieter 2006-06-19 20:33:12 UTC
libgpg-error appears fixed now, closing.


Note You need to log in before you can comment on or make changes to this bug.